#include <iostream>
#include <algorithm>
#include <queue>
using namespace std;

long long sum = 0;

void ans (int l, int k){
    bool b = 0;
    if (k == 1 && l == 1)
        b = 1;
    if (!b)
        if (k == 1){
            long long f = l * (l + 1);
            f /= 2;
            sum += f + (l - 1);
        }else
            if(l == 1){
                long long f = k * (k + 1);
                f /= 2;
                sum += f + (k - 1);
        }
    if (l > 1 && k > 1 && !b){
        sum += l * k;
        if (l > k)
        {
            long long f = k * (k + 1);
            f /= 2;
            sum += f + (k - 1);
            ans(l - 1, k);
        }
        else{
            long long f = l * (l + 1);
            f /= 2;
            sum += f + (l - 1);
            ans(l, k - 1);
        }
    }
}

int main()
{
    int n, m;
    cin >> n >> m;
    ans(n, m);
    cout << sum;
}
